/* merge1.h - constants and data types for merge1 program */

/* constants for 1st stage - forming runs */
#define    SSIZE     20000	/* size of storage area for text */
#define    MAX_REC   2000	/* max. number of records */
#define    MAX_RSIZE 500	/* max. size for a record */

/* return values for fillarea */
#define    NOT_EOF   0		/* end-of-file not reached */
#define    AT_EOF    1		/* end-of-file reached */

/* merge constants and data */

#define    MAX_MERGE  4 	 /* no. of runs to merge at a time */

typedef struct			/* merge data for one input run */
  {  FILE  *inf ;		/* file pointer */
     char  *pbuf ;		/* address of record buffer */
  }  MDATA ;



