/*  scn.h - defines data and control values for screen module */

typedef struct	 scn_data
  {  unsigned cpos	;	/* current position on screen	*/
				/* (offset relative to scn_seg) */
     unsigned scn_seg	;	/* segment address of screen memory */
     unsigned cattrib	;	/* current screen attribute	*/
     unsigned stport	;	/* CRT status I/O port address	*/
     int      ncols	;	/* number of columns on screen	*/
  }  SCN_DATA ;


/* segment addresses for screen memory	*/
#define    MONO_SEG	0xb000
#define    CG_SEG	0xb800


/* Control and status port addresses */
#define    MONO_BASE	0x3b0
#define    COLOR_BASE	0x3d0
/* combine the following port addresses w/ the above base values */
#define    M6845_INDEX	    4
#define    M6845_DATA	    5
#define    CRT_CTRL	    8
#define    CRT_STATUS	 0x0a

/* definitions for display attributes are in video.h */

