/*  usedos.c - examples of using DOS services  */
#include   "stdio.h"
#include   "cminor.h"
#include   "asmtools.h"
#include   "dosfun.h"

int  get_drive()                /* ger default drive number */
  {                             /* returns 0=A; , 1=B: , 2=C: ect */
     REGS  sreg , dreg ;

     dos2call(CURR_DISK,&sreg,&dreg) ;
     return( dreg.ax & 0xff ) ; /* return what DOS left in AL register */
  }

int  set_drive(dno)             /* set default drive */
  int   dno ;                   /* new drive number 0=A: , 1=B: ect. */
  {
     REGS sreg , dreg ;

     sreg.dx = (word16) dno ;
     dos2call(SELECT_DISK,&sreg,&dreg) ;
  }

int  get_cd(dno,dname)          /* get name of current directory */
  int   dno ;                   /* on this drive 0=default, 1=A: , 2=B: */
  char  dname[] ;               /* put the directory name here */
  {
     REGS  sreg , dreg ;

     sreg.dx = (word16) dno ;
     get_dads(dname,&sreg.ds,&sreg.si) ;
     return(dos2call(GET_DIR,&sreg,&dreg) ) ;   /* return success (0) */
                                                /* or failure (-1)    */
   }
