/* viewparm.h - parameters for view program */

/* number of lines in a display page */
#define PAGE_SIZE	16

/* number of lines of overlap between display pages  */
#define LINES_OVERLAP	2

/* special return values from get_next_char & get_previous_char */
/* to indicate that beginning or end of file has been reached	*/
#define EOF_MARK	-1
#define BOF_MARK	-2

/* definition of control char marking the end of a line */
#define END_LINE	10

/* define success/failure for return codes  */
#define SUCCESS 	1
#define FAILURE 	0


