/* asmtools.h - header file for ASMTOOLS module  */

typedef struct
  {  word16
        ax , bx , cx , dx ,
        si , di , bp , sp ,
        ds , es , ss , cs ;
  }  REGS ;


typedef struct
  {  char  al , ah ,
           bl , bh ,
           cl , ch ,
           dl , dh ;
  }  BYTE_REGS ;


/* flag bit definitions */
#define    ZF_FLAG     0x40
#define    AF_FLAG     0x10
#define    PF_FLAG     0x04
#define    CF_FLAG     0x01
#define    TF_FLAG     0x0100
#define    SF_FLAG     0x0080
#define    IF_FLAG     0x0200
#define    DF_FLAG     0x0400
#define    OF_FLAG     0x0800

#define    DOS_CALL    0x21             /* s/w interrupt no. for DOS call */

/* adsolute disk read and write interrupt numbers */
#define    ABS_READ    0x25
#define    ABS_WRITE   0x26



