/* document.h - defines document data structure */

/* lengths of document fields */
#define NAME_LEN 65
#define ADR_LEN  40
#define DATE_LEN 10
#define SUBJ_LEN 40

typedef struct
  {  char  dname[NAME_LEN] ;		/* document file name */
     char  addressee[ADR_LEN] ; 	/* person document sent to */
     char  date[DATE_LEN] ;		/* date the document was sent */
     char  subject[SUBJ_LEN] ;		/* subject of the document */
  }  DOCUMENT ;



