/*  dopass.c - do 1 pass of merge process */
#include   "stdio.h"
#include   "merge1.h"

FILE *do_open() ;

int  dopass(scrin,scrout,nruns_in)
  char	scrin[]  ;
  char	scrout[] ;
  int	nruns_in ;
  {
     int   first , nruns_out ;
     int   m ;			/* order of the merge */
     int   i ;
     char  oname[68] , inname[68] ;
     MDATA md[ MAX_MERGE ] ;	/* file pointer & pointer to buffer */
     FILE  *outf ;		/* output file */
     char  buf[ MAX_MERGE ] [ MAX_RSIZE ] ;	/* store records here */

     nruns_out = 0 ;
     for( first = 0 ; first < nruns_in ; first = first + MAX_MERGE )
	{
	   m = nruns_in - first ;
	   if( m > MAX_MERGE )
	       m = MAX_MERGE ;

	   /* open output file */
	   if( nruns_in <= MAX_MERGE )	/* final pass ? */
	      strcpy( oname , scrout ) ;/* y - use name as is */
	   else mkname(oname,scrout,nruns_out) ;
	   outf = do_open(oname , "w" ) ;

	   /* open input file */
	   for( i=1 ; i < m ; i=i+1 )
	      {  mkname(inname,scrin,first+i ) ;
		 md[i].inf = do_open(inname,"r") ;
		 md[i].pbuf = & buf[i] [0] ;
	      }
	   smerge( md , m , outf ) ;	/* merge these files */

	   /* close and delete input files */
	   for( i=1 ; i < m ; i=i+1 )
	      {  mkname(inname,scrin,first+i) ;
		 do_close( md[i].inf,inname) ;
		 delfile(inname) ;
	      }
	   do_close(outf,oname) ;
	   nruns_out = nruns_out + 1 ;
	}
     return( nruns_out ) ;
  }



