/*  dosfun.h - header file to define DOS function call values */

#define    CON_OUTPUT	0x02
#define    CON_RAWIN	0x07
#define    INPUT_STATUS 0x0b
#define    CON_INPUT	0x08
#define    DISP_STRING	0x09
#define    SELECT_DISK	0x0e
#define    CURR_DISK	0x19
#define    SET_DTA	0x1a
#define    GET_CURR_FAT 0x1b
#define    GET_FAT	0x1c
#define    SET_INT	0x25		/* install an interrupt vector */
#define    GET_DATE	0x2a
#define    SET_DATE	0x2b
#define    GET_TIME	0x2c
#define    SET_TIME	0x2d
#define    GET_DTA	0x2f
#define    GET_DOS_VER	0x30
#define    KEEP_PROC	0x31
#define    GET_INT	0x35		/* return an interrupt vector */
#define    DISK_FREE	0x36
#define    MKDIR	0x39
#define    RMDIR	0x3a
#define    CHDIR	0x3b
#define    CREAT_FILE	0x3c
#define    OPEN_FILE	0x3d
#define    CLOSE_FILE	0x3e
#define    READ_FILE	0x3f
#define    WRITE_FILE	0x40
#define    UNLINK_FILE	0x41
#define    LSEEK_FILE	0x42
#define    CHMOD_FILE	0x43
#define    IOCTL_FILE	0x44
#define    GET_DIR	0x47
#define    ALLOC_MEM	0x48
#define    FREE_MEM	0x49
#define    EXEC_PGM	0x4b
#define    EXIT_PROC	0x4c
#define    FIND_FIRST	0x4e
#define    FIND_NEXT	0x4f
#define    RENAME_FILE	0x56
#define    DATE_FILE	0x57


