/* fdfind.c file - find module: moves to new position in file */
#include "stdio.h"
#include "cminor.h"
#include "fdparm.h"

long top_of_page ;		/* file position of top of display page */
extern long filesize ;		/* length of file in bytes		*/
long where_now() ;

int  move_forward(nlines)
  int	nlines ;		/* number of lines to move		*/
  {
     long  new_pos ;

     new_pos = top_of_page + (nlines*LINE_SIZE) ;
     if( new_pos > filesize)
	new_pos = filesize ;
     move_to(new_pos) ; 	/* start at top of page */
     set_top_page() ;		/* make this new top of display page	*/
  }

int  move_backward(nlines)
  int	nlines ;		/* number of lines to move */
  {				/* zero lones = start of current line	*/
     long  new_pos ;

     new_pos = top_of_page - (nlines*LINE_SIZE) ;
     if( new_pos < 0L )
	new_pos = 0L ;
     move_to( new_pos) ;	/* start at top of page */
     set_top_page() ;		/* make this new top of display page	*/
  }


int set_top_page()
  {
     top_of_page = where_now() ;
  }


