/* fdparm.h - parameters for FD program */

/* number of lines in a display page */
#define PAGE_SIZE	16

/* number of bytes per line */
#define LINE_SIZE	16

/* number of lines of overlap between display pages */
#define LINES_OVERLAP	0

/* special return values for get_next_char &get_pervious_char */
/* to indicate that begining or end of file has been reached  */
#define EOF_MARK	-1
#define BOF_MARK	-2

/* definition of control char marking the end of a line */
#define END_LINE	10

/* define success/failure for return codes */
#define  SUCCESS	1
#define  FAILURE	0



