/* gopen.c - generalized file open and creat functions */
/* Lattice C / Microsoft C version only */
#include   "stdio.h"
#include   "cminor.h"
/* define File Mode bit for Binary Mode */
#define BIN_BIT  0x8000

int gopen(fn,fmode,ft)                  /* generalized version of open */
  char  fn[]  ;                         /* file name */
  int   fmode ;                         /* file mode read/write */
  int   ft ;                            /* file type ASCII/binary */
  {
     unsigned tmode ;

     tmode = fmode ;
     if( ft == BIN_MODE )
        tmode = tmode + (unsigned) BIN_BIT ;
     return( open(fn,tmode) ) ;
  }


int  gcreat(fn,fmode,ft)                /* generalized version of creat */
  char  fn[]  ;                         /* file name */
  unsigned fmode ;                      /* file mode read/write */
  int   ft ;                            /* file type ASCII/binary */
  {
     unsigned tmode ;

     tmode = fmode ;
     if( ft == BIN_MODE )
        tmode = tmode + (unsigned) BIN_BIT ;
     return( creat(fn,tmode) ) ;
  }

/* end of version */

