/* keyio.h - definitions of values returned by getkey() */

/* keypress return values	*/
#define NO_INPUT	0
/* non-zero return means there is input waiting  */

/* ASCII control characters	*/

#define ASCNUL	       (256+3)
#define ASCBEL		  7
#define ASCBS		  8
#define ASCTAB		  9
#define ASCLF		0xA
#define ASCFF		0xC
#define ASCCR		0xD
#define ASCESC	       0x1B
#define ASCDEL	       0x7F
#define ASCSPACE       0x20

/* special keys for IBM PC  */

#define HOMEKEY 	(256+71)
#define BACKTAB 	(256+15)
#define UPARROW 	(256+72)
#define LEFTARROW	(256+75)
#define RIGHTARROW	(256+77)
#define ENDKEY		(256+79)
#define DOWNARROW	(256+80)
#define PGUPKEY 	(256+73)
#define PGDNKEY 	(256+81)
#define INSERTKEY	(256+82)
#define DELETEKEY	(256+83)
#define CTLPRTSC	(256+114)
#define CTLLARROW	(256+115)
#define CTLRARROW	(256+116)
#define CTLEND		(256+117)
#define CTLPGDN 	(256+118)
#define CTLHOME 	(256+119)
#define CTLPGUP 	(256+132)

/* function key codes  */
#define F1KEY		(256+59)
#define F11KEY		(256+84)
#define F21KEY		(256+94)
#define F31KEY		(256+104)

/* alt-key + number key (top row)  */
#define ALT1KEY 	(256+120)


