/* notabs.c - turn tabs into blanks */
#include "stdio.h"

#define TS 8			/* tab stop interval  */
int col  ;			/* current column position  */

main()
 {
   int c  ;

   col = 1  ;
   while( 1 == 1 )		/* get chars from input  */
     { c = getchar()  ;
       if( c == EOF )		/* until EOF is reached  */
	   break  ;
       do_it(c)  ;
     }
 }

int do_it(ch)			/* handle one character  */
 int ch  ;			/* the character  */
 {
	switch( ch )		/* classify ch	*/
	  {
	  case '\t' :           /* tab char  */
	    do
	      { putchar(' ')  ; /* put out blanks  */
		col = col + 1  ;
	      } while( ( col % TS) !=1); /* until we reach tab stop */
		break  ;
	   case '\r' :          /* carriage return  */
	   case '\n' :          /* or linefeed (newline)  */
	      putchar( ch ) ;	/* output it  */
	      col = 1 ; 	/* back to column 1  */
	      break  ;
	   default   :		/* any other char - assume printable  */
	      putchar( ch ) ;	/* output it  */
	      col = col + 1 ;	/* advance to next column  */
	      break  ;
	   }
 }


